int sensor_in = A0;
int delay_in = A1;
int relay_out = 3;

bool relay_activated = false;
unsigned long delay_time = 5000;

void setup() {
  pinMode(sensor_in,INPUT);
  pinMode(delay_in,INPUT);
  pinMode(relay_out,OUTPUT);
  digitalWrite(relay_out,relay_activated);  
}

void loop() {
  delay_time = map(analogRead(delay_in),0,1024,5000,60000);
  
  if(analogRead(sensor_in) > 500 && !relay_activated)
  {
    relay_activated = true;
    digitalWrite(relay_out,relay_activated);
    delay(delay_time);
  }

  if(analogRead(sensor_in) < 500 && relay_activated)
  {
    relay_activated = false;
    digitalWrite(relay_out,relay_activated);
    delay(10);
  }

  
}
